package enseirb.myinpulse.repository;

import enseirb.myinpulse.model.Project;
import enseirb.myinpulse.model.SectionCell;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.time.LocalDateTime;

@RepositoryRestResource
public interface SectionCellRepository extends JpaRepository<SectionCell, Long> {

    Iterable<SectionCell> findByProjectSectionCellAndSectionId(Project project, long sectionId);

    Iterable<SectionCell> findByProjectSectionCellAndSectionIdAndModificationDateBefore(
            Project project, long sectionId, LocalDateTime date);
}
